Bug 29320 - upgrade to wolverine kills network access
upgrade to wolverine kills network access
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-24 21:56 EST by Gerald Henriksen
Modified: 2007-03-26 23:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-26 07:56:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gerald Henriksen 2001-02-24 21:56:51 EST
upgraded from fisher to wolverine.  Reboot resulted in the following error during boot:

Feb 24 12:34:03 cr598116-a sysctl: net.ipv4.ip_forward = 1 
Feb 24 12:34:03 cr598116-a sysctl: net.ipv4.conf.all.rp_filter = 1 
Feb 24 12:34:03 cr598116-a sysctl: kernel.sysrq = 0 
Feb 24 12:34:03 cr598116-a sysctl: error: 'net.ipv4.ip_always_defrag'
is an unknown key 

Commented out that line from /etc/sysctl and rebooted, however network access is still down
(network access still works on same machine when booted into windows).
Comment 1 Bill Nottingham 2001-02-25 02:10:57 EST
That error is not the source of your network problem.

What symptoms are you seeing, what sort of hardware do you have, and
what does your /etc/modules.conf look like?
Comment 2 Michael Fulbright 2001-02-25 11:17:04 EST
Putting in NEEDINFO state...
Comment 3 Gerald Henriksen 2001-02-25 12:44:07 EST
/etc/modules.conf

alias scsi_hostadapter ncr53c8xx 
alias eth0 tulip 
alias eth1 tulip 
alias parport_lowlevel parport_pc 
alias sound-slot-0 emu10k1 
alias usb-controller usb-uhci 
alias char-major-195 NVdriver

Two network cards, both Netgear 10/100 PCI cards, both have been in the computer and used for 18 months with no trouble
and with various versions of Red Hat.

eth0 is connected to another computer, eth1 is connected to a cable modem.  All network settings are configured statically
and IP, netmask, gateway, and dns settings are all identical to the settings under windows.

attempts to ping a valid IP address elsewhere on the net result in ping giving "destination host unreachable"

I can ping both 127.0.0.1 and the IP address assigned to eth1.  ifconfig lists eth0, eth1, and lo

On boot, sendmail waits to timeout before the boot up can continue.
Comment 4 Bill Nottingham 2001-02-25 17:32:06 EST
Sounds like a kernel problem, most likely.
Comment 5 Arjan van de Ven 2001-02-26 05:08:32 EST
If ifconfig shows your MAC address as 00:00:00:00... then this is a known and
fixed issue. The fix will then be in our next kernel build. Please confirm
the "all 0" MAC address.
Comment 6 Gerald Henriksen 2001-02-26 07:56:25 EST
Mac address is all 0's
Comment 7 Arjan van de Ven 2001-02-26 07:59:52 EST
That is a known and now fixed problem. Will be fixed in the next kernel build.
I will close this as "resolved in rawhide", could you please reopen if a kernel
RMM of version 2.4.1-0.1.14 or later does not fix it (once one becomes
available) ?
Comment 8 Michael K. Johnson 2001-02-27 19:17:10 EST
That version is available in rawhide now
Comment 9 Gerald Henriksen 2001-02-28 15:27:31 EST
I can find the src rpms, but there are no i386 binaries in ftp://ftp.redhat.com/pub/rawhide/i386/RedHat/RPMS/
Comment 10 Gerald Henriksen 2001-02-28 23:17:36 EST
upgraded to 2.4.1-0.1.14, networking is back.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.